Package org.eclipse.jdt.ui.jarpackager

## Interface IJarDescriptionWriter

    public interface IJarDescriptionWriter

Writes the description file of a JAR package data object.

The format is defined by the client who implements the reader/writer pair.

Since:
  2.0
See Also:
  `JarPackageData`, `IJarDescriptionReader`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes this writer.
`IStatus` `getStatus()` Returns the status of this reader.
`void` `write​(JarPackageData jarPackage)` Writes the JAR package data to the description file to to the underlying stream.

### Method Detail

#### write

    void write​(JarPackageData jarPackage)
        throws CoreException

Writes the JAR package data to the description file to to the underlying stream.

It is the client's responsibility to close this writer.

Parameters:
  `jarPackage` - the jar package data to write
Throws:
  `CoreException` - if writing fails, e.g. I/O error during write operation

#### close

    void close()
        throws CoreException

Closes this writer.

It is the client's responsibility to close this writer.

Throws:
  `CoreException` - if closing fails, e.g. I/O error during close operation

#### getStatus

    IStatus getStatus()

Returns the status of this reader. If there were any errors, the result is a status object containing individual status objects for each error. If there were no errors, the result is a status object with error code `OK`.

Returns:
  the status of this operation